QXmpp: QXmppIncomingClient Class Reference

QXmpp Version: 1.14.3

Loading...
Searching...
No Matches
QXmppIncomingClient Class Reference

The QXmppIncomingClient class represents an incoming XMPP stream from an XMPP client. More...

`#include <QXmppIncomingClient.h>`

Inheritance diagram for QXmppIncomingClient:

## Public Member Functions
| QXmppIncomingClient (QSslSocket *socket, const QString &domain, QObject *parent=nullptr)
bool | isConnected () const
QString | jid () const
bool | sendPacket (const QXmppNonza &)
| Sends an XMPP packet to the peer.
Q_SLOT bool | sendData (const QByteArray &)
| Sends raw data to the peer.
void | disconnectFromHost ()
| Disconnects from the remote host.
void | setInactivityTimeout (int secs)
void | setPasswordChecker (QXmppPasswordChecker *checker)
Q_SIGNAL void | elementReceived (const QDomElement &element)
| This signal is emitted when an element is received.
Q_SIGNAL void | connected ()
| This signal is emitted when the stream is connected.
Q_SIGNAL void | disconnected ()
| This signal is emitted when the stream is disconnected.
Public Member Functions inherited from QXmppLoggable
| QXmppLoggable (QObject *parent=nullptr)
Q_SIGNAL void | setGauge (const QString &gauge, double value)
| Sets the given gauge to value.
Q_SIGNAL void | logMessage (QXmppLogger::MessageType type, const QString &msg)
| This signal is emitted to send logging messages.
Q_SIGNAL void | updateCounter (const QString &counter, qint64 amount=1)
| Updates the given counter by amount.

## Friends
class | QXmppIncomingClientPrivate

## Additional Inherited Members
Protected Member Functions inherited from QXmppLoggable
void | debug (const QString &message)
| Logs a debugging message.
void | info (const QString &message)
| Logs an informational message.
void | warning (const QString &message)
| Logs a warning message.
void | logReceived (const QString &message)
| Logs a received packet.
void | logSent (const QString &message)
| Logs a sent packet.

## Detailed Description

The QXmppIncomingClient class represents an incoming XMPP stream from an XMPP client.

## Constructor & Destructor Documentation

## ◆ QXmppIncomingClient()

QXmppIncomingClient::QXmppIncomingClient | ( | QSslSocket * | socket,
|  | const QString & | domain,
|  | QObject * | parent = nullptr )

Constructs a new incoming client stream.

Parameters

  socket | The socket for the XMPP stream.
  domain | The local domain.
  parent | The parent QObject for the stream (optional).

## Member Function Documentation

## ◆ isConnected()

bool QXmppIncomingClient::isConnected | ( |  | ) | const

Returns true if the socket is connected, the client is authenticated and a resource is bound.

## ◆ jid()

QString QXmppIncomingClient::jid | ( |  | ) | const

Returns the client's JID. Sends an XMPP packet to the peer.

## ◆ setInactivityTimeout()

void QXmppIncomingClient::setInactivityTimeout | ( | int | secs | ) |

Sets the number of seconds after which a client will be disconnected for inactivity.

## ◆ setPasswordChecker()

void QXmppIncomingClient::setPasswordChecker | ( | QXmppPasswordChecker * | checker | ) |

Sets the password checker used to verify client credentials.

Parameters

  checker |

The documentation for this class was generated from the following files:

- QXmppIncomingClient.h
- QXmppIncomingClient.cpp